# $Id: smeserver-shared-folders.spec,v 1.57 2011/08/04 10:51:40 vip-ire Exp $
# Authority: vip-ire
# Name: Daniel Berteaud

Summary: sme server shared folders module
%define name smeserver-shared-folders
Name: %{name}
%define version 0.1
%define release 55
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz

Patch0: smeserver-shared-folders-0.1-maxShareNameLength.patch
Patch1: smeserver-shared-folders-0.1-add_acl_in_fstab.patch
Patch2: smeserver-shared-folders-0.1-locale-2009-05-05.patch
Patch3: smeserver-shared-folders-0.1-optimize_permissions.patch
Patch4: smeserver-shared-folders-0.1-extended_access.patch
Patch5: smeserver-shared-folders-0.1-keep_versions_in_panel.patch
Patch6: smeserver-shared-folders-0.1-locale_extended_access.patch
Patch7: smeserver-shared-folders-0.1-locale_add_description.patch
Patch8: smeserver-shared-folders-0.1-remove_desc.patch
Patch9: smeserver-shared-folders-0.1-http_skip_wrong_values.patch
Patch10: smeserver-shared-folders-0.1-locale-2009-05-20.patch
Patch11: smeserver-shared-folders-0.1-locale-2009-05-21.patch
Patch12: smeserver-shared-folders-0.1-smb_template_begin.patch
Patch13: smeserver-shared-folders-0.1-locale_en_2009-05-21.patch
Patch14: smeserver-shared-folders-0.1-locale-2009-05-25.patch
Patch15: smeserver-shared-folders-0.1-external_ssl_as_local.patch
Patch16: smeserver-shared-folders-0.1-locale-2009-06-15.patch
Patch17: smeserver-shared-folders-0.1-locale-2009-07-22.patch
Patch18: smeserver-shared-folders-0.1-locale-2009-08-24.patch
Patch19: smeserver-shared-folders-0.1-locale-2009-09-28.patch
Patch20: smeserver-shared-folders-0.1-locale-2009-10-20.patch
Patch21: smeserver-shared-folders-0.1-locale-2009-10-21.patch
Patch22: smeserver-shared-folders-0.1-locale-2009-10-27.patch
Patch23: smeserver-shared-folders-0.1-locale-2009-11-17.patch
Patch24: smeserver-shared-folders-0.1-locale-2010-03-02.patch
Patch25: smeserver-shared-folders-0.1-manual_permissions.patch
Patch26: smeserver-shared-folders-0.1-dynamic_exec_cgi.patch
Patch27: smeserver-shared-folders-0.1-locale-2010-03-25.patch
Patch28: smeserver-shared-folders-0.1-locale-2010-03-26.patch
Patch29: smeserver-shared-folders-0.1-locale-2010-05-23.patch
Patch30: smeserver-shared-folders-0.1-en-us_typo.patch
Patch31: smeserver-shared-folders-0.1-locale-2010-07-05.patch
Patch32: smeserver-shared-folders-0.1-locale-2010-07-19.patch
Patch33: smeserver-shared-folders-0.1-fix_permissions_on_group_delete.patch
Patch34: smeserver-shared-folders-0.1-locale-2010-10-20.patch
Patch35: smeserver-shared-folders-0.1-fix_exclude_separator.patch
Patch36: smeserver-shared-folders-0.1-enhance_recylce_bin.patch
Patch37: smeserver-shared-folders-0.1-webdav_support.patch
Patch38: smeserver-shared-folders-0.1-purge_recycle.patch
Patch39: smeserver-shared-folders-0.1-locale-2010-11-30.patch
Patch40: smeserver-shared-folders-0.1-fix_purge_script.patch
Patch41: smeserver-shared-folders-0.1-prop_alias_on_primary.patch
Patch42: smeserver-shared-folders-0.1-print_group_table_with_manual_perms.patch
Patch43: smeserver-shared-folders-0.1-update_manual_perms_warning.patch
Patch44: smeserver-shared-folders-0.1-fix_warning_in_httpd_template.patch
Patch45: smeserver-shared-folders-0.1-fix_www_access.patch
Patch46: smeserver-shared-folders-0.1-php_allow_url_fopen.patch
Patch47: smeserver-shared-folders-0.1-locale-2011-01-03.patch
Patch48: smeserver-shared-folders-0.1-fix_files_starting_with_dash.patch
Patch49: smeserver-shared-folders-0.1-dedup_writers.patch
Patch50: smeserver-shared-folders-0.1-expand_and_restart_http_on_group_mod.patch
Patch51: smeserver-shared-folders-0.1-fix_recycle_purge_script.patch
Patch52: smeserver-shared-folders-0.1-locale-2011-04-27.patch
Patch53: smeserver-shared-folders-0.1-encfs.patch
Patch54: smeserver-shared-folders-0.1-locale-2011-05-16.patch
Patch55: smeserver-shared-folders-0.1-add_missing_inactivity_entry.patch
Patch56: smeserver-shared-folders-0.1-locale-2011-05-17.patch
Patch57: smeserver-shared-folders-0.1-dont_check_pass_if_enc_is_off.patch
Patch58: smeserver-shared-folders-0.1-ro_on_top_dir.patch
Patch59: smeserver-shared-folders-0.1-add_ajaxplorer_support.patch
Patch60: smeserver-shared-folders-0.1-samba_audit.patch
Patch61: smeserver-shared-folders-0.1-make_encfs_optional.patch
Patch62: smeserver-shared-folders-0.1-locale-2011-07-05.patch
Patch63: smeserver-shared-folders-0.1-fix_unencrypted_shares_modify.patch
Patch64: smeserver-shared-folders-0.1-fix_when_ajaxplorer_is_not_installed.patch
Patch65: smeserver-shared-folders-0.1-fix_encrypted_share_list.patch
Patch66: smeserver-shared-folders-0.1-dont_check_passwd_if_encrypt_disabled.patch
Patch67: smeserver-shared-folders-0.1-fix_creation_without_encfs.patch

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base >= 4.13.15-76
Requires: perl(CGI::FormMagick)
Requires: e-smith-formmagick >= 1.4.0-12
Requires: smeserver-mod_dav
Requires: acl

BuildRequires: perl
BuildRequires: e-smith-devtools >= 1.11.0-03


%description
This module allows you to create network shares
with more flexibility than ibays as it supports ACLs

%changelog
* Thu Sep 01 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-55.sme
- Fix share creation when encfs is not installed

* Thu Aug 04 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-54.sme
- Don't check password length when encryption is disabled

* Mon Jul 18 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-53.sme
- Fix encrypted share list

* Wed Jul 13 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-52.sme
- Fix panel when ajaxplorer is not installed

* Fri Jul 08 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-51.sme
- Fix modification of unencrypted shares

* Tue Jul 05 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-50.sme
- Apply locale 2011-07-05 patch

* Tue Jul 05 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-49.sme
- Make encryption support optional
- Sanitize password field in userpanelEncfs
- Prevent deletion of mounted, encrypted shares

* Wed Jun 29 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-48.sme
- Enable samba auditing

* Tue Jun 28 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-47.sme
- Fix Ajaxplorer fields on share creation

* Tue Jun 28 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-46.sme
- Change the way ajaxplorer is integrated (add a new config section)

* Mon Jun 27 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-45.sme
- Add support for ajaxplorer

* Wed Jun 22 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-44.sme
- Set read only permissions on top dir of each share

* Tue Jun 14 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-43.sme
- Don't check password field if encryption is disabled

* Tue May 17 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-42.sme
- Add missing INACTIVITY entry in locale
- Apply locale 2011-05-17 patch

* Mon May 16 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-41.sme
- apply locale 2011-05-16 patch

* Fri May 06 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-40.sme
- Support encryption using EncFS

* Wed Apr 27 2011 SME Translation Server <translations@contribs.org> 0.1-39.sme
- apply locale 2011-04-27 patch

* Tue Apr 05 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-38.sme
- Fix removing empty directories in recycles

* Wed Mar 30 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-37.sme
- expand httpd.conf and restart apache on group-modify

* Tue Mar 29 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-36.sme
- Deduplicate writer user list in apache configuration
- Always grant web access to user admin

* Tue Jan 25 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-35.sme
- Fix setting ACLs on files starting with a dash [SME: 6500]

* Mon Jan 03 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-34.sme
- Apply locale 2011-01-03 patch

* Mon Jan 03 2011 Daniel Berteaud <daniel@firewall-services.com> 0.1-33.sme
- New prop PHPAllowUrlFopen

* Wed Dec 15 2010  Daniel Berteaud <daniel@firewall-services.com> 0.1-32.sme
- Print the group table when ManualPermissions is enabled
- Fix a warning in httpd.conf templates
- Use www as group owner of the root dir if httpAccess is enabled

* Fri Dec 10 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-31.sme
- Add new prop AliasOnPrimary to toggle alias on the system domain

* Thu Dec 2 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-30.sme
- Fix purge script

* Tue Nov 30 2010 Daniel Berteaud <daniel@firewall-services.com> 0.1-29.sme
- apply locale 2010-11-30 patch

* Tue Nov 30 2010 Shad L. Lords <slords@mail.com> 0.1-28.sme
- Fix orig file removal the correct way

* Mon Nov 29 2010  Daniel B. <daniel@firewall-services.com> 0.1-27.sme
- Remove .orig file

* Wed Nov 26 2010 Daniel B. <daniel@firewall-services.com> 0.1-26.sme
- Add webdav support
- add recycle purge support (with configurable retention time)

* Thu Nov 25 2010 Daniel B. <daniel@firewall-services.com> 0.1-25.sme
- Fix excludes separator for samba recyle bin [SME: 6379]
- Recycle bin directory can be configured (RecycleBinDir prop)
- Create the recyle bin directory if enabled
- Fix defaults ACL on dir (fix issues with recycle bin)

* Wed Oct 20 2010 Daniel B. <daniel@firewall-services.com> 0.1-24.sme
- Fix permission on group delete
- apply local 2010-10-20 patch

* Mon Jul 19 2010 Daniel B. <daniel@firewall-services.com> 0.1-23.sme
- apply locale 2010-07-19 patch

* Tue Jul 06 2010 Daniel B. <daniel@firewall-services.com> 0.1-22.sme
- correct typos in en-us locale [SME: 6103]
- apply locale 2010-07-06 patch

* Sun May 23 2010 SME Translation Server <translations@contribs.org> 0.1-21.sme
- apply locale 2010-05-23 patch

* Thu Mar 26 2010 Daniel B. <daniel@firewall-services.com> 0.1-20.sme
- apply locale 2010-03-26 patch (fix navigation-conf)

* Thu Mar 25 2010 Daniel B. <daniel@firewall-services.com> 0.1-19.sme
- apply locale 2010-03-25 patch

* Mon Mar 15 2010 Daniel B. <daniel@firewall-services.com> 0.1-18.sme
- really apply manual_permissions patch

* Mon Mar 08 2010 Daniel B. <daniel@firewall-services.com> 0.1-17.sme
- Add an option to allow manual permissions (ManualPermissions)
- remove unused .orig file
- Exec CGI in cgi-bin directories

* Tue Mar 02 2010 SME Translation Server <translations@contribs.org> 0.1-16.sme
- apply locale 2010-03-02 patch

* Tue Nov 17 2009 Daniel B. <daniel@firewall-services.com> 0.1-15.sme
- apply locale 2009-11-17 patch

* Tue Oct 27 2009 SME Translation Server <translations@contribs.org> 0.1-14.sme
- apply locale 2009-10-27 patch

* Wed Oct 21 2009 Daniel B. <daniel@firewall-services.com> 0.1-13.sme
- apply locale 2009-10-21 patch

* Tue Oct 20 2009 Daniel B. <daniel@firewall-services.com> 0.1-12.sme
- apply locale 2009-10-20 patch

* Tue Sep 29 2009 Daniel B. <daniel@firewall-services.com> 0.1-11.sme
- apply locale 2009-09-28 patch

* Mon Aug 24 2009 SME Translation Server <translations@contribs.org> 0.1-10.sme
- apply locale 2009-08-24 patch

* Wed Jul 22 2009 Daniel B. <daniel@firewall-services.com> 0.1-9.sme
- Apply locale 2009-07-22 patch

* Mon Jun 15 2009 Daniel B. <daniel@firewall-services.com> [0.1-8]
- Apply locale 2009-06-15 patch

* Mon May 25 2009 Daniel B. <daniel@firewall-services.com> [0.1-7]
- Include hosts/networks defined in $externalSSLAccess for local access
  (httpAccess)

* Mon May 25 2009 Daniel B. <daniel@firewall-services.com> [0.1-6]
- Apply locale 2009-05-25 patch

* Thu May 21 2009 Daniel B. <daniel@firewall-services.com> [0.1-5]
- Add an empty template-begin for smb.conf template
- Add locale 2009-05-21 patch (en-us)

* Thu May 21 2009 Daniel B. <daniel@firewall-services.com> [0.1-4]
- apply locale 2009-05-21 patch

* Wed May 20 2009 SME Translation Server <translations@contribs.org> 0.1-3.sme
- apply locale 2009-05-20 patch

* Wed May 13 2009 Daniel B. <daniel@firewall-services.com> [0.1-2]
- add http access, with some options in the panel
- present the keepversion option of the recylcebin in the panel
- changes in db keys
- remove some descriptions in the panel
- optimization in share-modify to limit the time needed
  to reset permissions

* Tue May 05 2009 Daniel B. <daniel@firewall-services.com> [0.1-1]
- Add locale patch 2009-05-05

* Tue Apr 28 2009 Daniel B. <daniel@firewall-services.com> [0.1-0.beta3]
- Add acl option in fstab via the template system
  (just like usrquota and grpquota)

* Thu Apr 16 2009 Daniel B. <daniel@firewall-services.com> [0.1-0.beta2]
- Rename spec file

* Wed Apr 08 2009 Daniel B. <daniel@firewall-services.com> [0.1-0.beta1]
- Rename maxIbayNameLength to maxShareNameLength

* Wed Apr 08 2009 Daniel B. <daniel@firewall-services.com> [0.1-0.beta0]
- Initial release.

%prep
%setup

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1

%pre
%post

%build
# Force creation of potentially empty directories
mkdir -p root/etc/e-smith/web/{common,functions}
mkdir -p root/etc/e-smith/web/panels/manager/{cgi-bin,common,html}
mkdir -p root/home/e-smith/files/shares

perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --file /etc/cron.daily/purge-shares-recycle 'attr(0755,root,root)' \
    --file /etc/sysconfig/modules/fuse.modules 'attr(0755,root,root)' \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-%{release}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
